## ros-kinetic-open-manipulator-moveit 2.0.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(open_manipulator_moveit)

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
## Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package()

################################################################################
# Build
################################################################################

################################################################################
# Install
################################################################################
install(DIRECTORY launch 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE
)

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-open-manipulator-moveit (2.0.1-1xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Sun, 17 Feb 2019 15:00:00 -0000

ros-kinetic-open-manipulator-moveit (2.0.0-1xenial) xenial; urgency=high

  * added moveit config and controller
  * updated moveit rviz
  * Updated start_state after execution on Moveit #83 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/83>
  * changed control period 40mm to 100mm
  * Contributors: Darby Lim, Yong-Ho Na, Hye-Jong KIM, Guilherme de Campos Affonso, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 07 Feb 2019 15:00:00 -0000

ros-kinetic-open-manipulator-moveit (1.0.0-1xenial) xenial; urgency=high

  * package reconfiguration for OpenManipulator
  * added position only IK
  * added compability with book
  * deleted unused variables, 'chain' word
  * merged pull request #34 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/34> #33 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/33> #32 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/32> #31 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/31> #27 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/27> #26 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/26> #25 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/25>
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-kinetic-open-manipulator-moveit (0.1.1-1xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-kinetic-open-manipulator-moveit (0.1.0-1xenial) xenial; urgency=high

  * modified moveit set and gripper control
  * modified gazebo and moveit setting
  * modified gazebo sim
  * modified description
  * modified cmake, packages files for release
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-open-manipulator-moveit
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-open-manipulator-description
Homepage: http://wiki.ros.org/open_manipulator_moveit
Standards-Version: 3.9.2

Package: ros-kinetic-open-manipulator-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-joint-state-publisher, ros-kinetic-moveit-fake-controller-manager, ros-kinetic-moveit-kinematics, ros-kinetic-moveit-planners-ompl, ros-kinetic-moveit-ros-move-group, ros-kinetic-moveit-ros-visualization, ros-kinetic-moveit-setup-assistant, ros-kinetic-open-manipulator-description, ros-kinetic-robot-state-publisher, ros-kinetic-xacro
Description: An automatically generated package with all the configuration and launch files for using the open_manipulator with the MoveIt! Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-open-manipulator-moveit//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
